# SIPRegisterHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPRegisterHandler:

List of all members.

## Public Member Functions

| SIPRegisterHandler (SIPEndPoint &ep, const SIPRegister::Params &params)
| ~SIPRegisterHandler ()
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual void | OnReceivedOK (SIPTransaction &transaction, SIP_PDU &response)
virtual SIP_PDU::Methods | GetMethod ()
virtual void | OnFailed (SIP_PDU::StatusCodes r)
virtual PBoolean | SendRequest (SIPHandler::State state)
void | UpdateParameters (const SIPRegister::Params &params)

## Constructor & Destructor Documentation

SIPRegisterHandler::SIPRegisterHandler | ( | SIPEndPoint & | ep,
|  | const SIPRegister::Params & | params |
| ) |  |  |

SIPRegisterHandler::~SIPRegisterHandler | ( |  | ) |

## Member Function Documentation

virtual SIPTransaction* SIPRegisterHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Implements SIPHandler.

virtual void SIPRegisterHandler::OnReceivedOK | ( | SIPTransaction & | transaction,
|  | SIP_PDU & | response |
| ) |  |  | `[virtual]`

Reimplemented from SIPHandler.

virtual SIP_PDU::Methods SIPRegisterHandler::GetMethod | ( |  | ) | `[inline, virtual]`

Implements SIPHandler.

virtual void SIPRegisterHandler::OnFailed | ( | SIP_PDU::StatusCodes | r | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual PBoolean SIPRegisterHandler::SendRequest | ( | SIPHandler::State | state | ) | `[virtual]`

Reimplemented from SIPHandler.

void SIPRegisterHandler::UpdateParameters | ( | const SIPRegister::Params & | params | ) |

The documentation for this class was generated from the following file:

- handlers.h